Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jChatBox.Chat.Event
Class ChatroomEvent

    java.lang.Object
      |
      +--jChatBox.Chat.Event.ChatroomEvent

public class ChatroomEvent
extends java.lang.Object

This class provides chatroom events. Events are generated by Charoom instances and should be consumed by ChatroomListener instances.

Since:
  2.6

Field Summary
`static int` | `ADDINGMESSAGE`
`static int` | `ADDINGUSER`
`static int` | `BLACKLISTCLEARED`
`static int` | `CHATROOMCLEARED`
`static int` | `CHATROOMCLOSED`
`static int` | `CHATROOMOPENED`
`static int` | `IPUNBLACKLISTED`
`static int` | `MESSAGEADDED`
`static int` | `REMOVINGUSER`
`static int` | `UNKNOWN`
`static int` | `USERADDED`
`static int` | `USERBLACKLISTED`
`static int` | `USERREMOVED`

Constructor Summary
`ChatroomEvent(int id, Chatroom source, java.lang.Object desc)` Chatroom Event.

Method Summary
`java.lang.Object` | `getDescription()` Optionnal description of the event.
`int` | `getID()` Event's ID.
`Chatroom` | `getSource()` Chatroom that generated the event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### CHATROOMOPENED

    public static final int CHATROOMOPENED

See Also:
  Constant Field Values

### CHATROOMCLOSED

    public static final int CHATROOMCLOSED

See Also:
  Constant Field Values

### CHATROOMCLEARED

    public static final int CHATROOMCLEARED

See Also:
  Constant Field Values

### ADDINGUSER

    public static final int ADDINGUSER

See Also:
  Constant Field Values

### USERADDED

    public static final int USERADDED

See Also:
  Constant Field Values

### REMOVINGUSER

    public static final int REMOVINGUSER

See Also:
  Constant Field Values

### USERREMOVED

    public static final int USERREMOVED

See Also:
  Constant Field Values

### ADDINGMESSAGE

    public static final int ADDINGMESSAGE

See Also:
  Constant Field Values

### MESSAGEADDED

    public static final int MESSAGEADDED

See Also:
  Constant Field Values

### USERBLACKLISTED

    public static final int USERBLACKLISTED

See Also:
  Constant Field Values

### IPUNBLACKLISTED

    public static final int IPUNBLACKLISTED

See Also:
  Constant Field Values

### BLACKLISTCLEARED

    public static final int BLACKLISTCLEARED

See Also:
  Constant Field Values

Constructor Detail

### ChatroomEvent

    public ChatroomEvent(int id,
                         Chatroom source,
                         java.lang.Object desc)

  Chatroom Event.

Parameters:
  `id` - of event
  `source` - chatroom that generated the event
  `desc` - optionnal object linked to the event

Method Detail

### getID

    public int getID()

  Event's ID.

  Returns:

### getDescription

    public java.lang.Object getDescription()

  Optionnal description of the event. Return null except for the following events :
  - ADDINGUSER : (ChatroomUser) user
  - USERADDED : (ChatroomUser) user
  - REMOVINGUSER : (ChatroomUser) user
  - USERREMOVED : (ChatroomUser) user
  - ADDINGMESSAGE : (Msg) message
  - MESSAGEADDED : (Msg) message
  - USERBLACKLISTED : (ChatroomUser) user
  - IPUNBLACKLISTED : (String) IP address
  - CHATROOMOPENED : (String) "OPEN" or "REOPEN"

  Returns:

### getSource

    public Chatroom getSource()

  Chatroom that generated the event.

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD